List Pipelines
Try it
GET
/v0/pipelinesRetrieve the list of pipelines.
Configure which fields are included using the selector query parameter.
Authentication
JSON web token (JWT) or API keyBearer token
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
selector | PipelineFieldSelector | No | The `selector` parameter limits which fields are returned for a pipeline. Limiting which fields is particularly handy for instance when frequently monitoring over low bandwidth connections while being only interested in pipeline status. |
Response
200List of pipelines retrieved successfully
application/json- PipelineSelectedInfo[]
- objectPipeline information which has a selected subset of optional fields. It both includes fields which are user-provided and system-generated. If an optional field is not selected (i.e., is `None`), it will not be serialized.
500
application/json- objectInformation returned by REST API endpoints on error.
detailsobjectrequiredDetailed error metadata. The contents of this field is determined by `error_code`.error_codestringrequiredError code is a string that specifies this error type.messagestringrequiredHuman-readable error message.
curl -X GET 'https://api.example.com/v0/pipelines?selector=<selector>' \
-H 'Authorization: Bearer YOUR_TOKEN'const response = await fetch('https://api.example.com/v0/pipelines?selector=<selector>', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = await response.json();
console.log(data);interface ApiResponse {
// shape your response here
}
const response: Response = await fetch('https://api.example.com/v0/pipelines?selector=<selector>', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = (await response.json()) as ApiResponse;
console.log(data);import requests
url = "https://api.example.com/v0/pipelines"
params = {
"selector": "<selector>"
}
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.request("get", url, params=params, headers=headers)
print(response.json())package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/v0/pipelines?selector=<selector>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer YOUR_TOKEN")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(string(out))
}[
{
"id": "67e55044-10b1-426f-9247-bb680e5fe0c8",
"name": "example1",
"description": "Description of the pipeline example1",
"created_at": "1970-01-01T00:00:00Z",
"version": 4,
"platform_version": "v0",
"runtime_config": {
"workers": 16,
"max_rss_mb": null,
"hosts": 1,
"storage": {
"backend": {
"name": "default"
},
"min_storage_bytes": null,
"min_step_storage_bytes": null,
"compression": "default",
"cache_mib": null
},
"fault_tolerance": {
"model": "none",
"checkpoint_interval_secs": 60
},
"cpu_profiler": true,
"tracing": false,
"tracing_endpoint_jaeger": "",
"min_batch_size_records": 0,
"max_buffering_delay_usecs": 0,
"resources": {
"cpu_cores_min": null,
"cpu_cores_max": null,
"memory_mb_min": null,
"memory_mb_max": null,
"storage_mb_max": null,
"storage_class": null,
"service_account_name": null,
"namespace": null
},
"clock_resolution_usecs": 1000000,
"pin_cpus": [],
"provisioning_timeout_secs": null,
"max_parallel_connector_init": null,
"init_containers": null,
"checkpoint_during_suspend": true,
"http_workers": null,
"io_workers": null,
"env": {},
"dev_tweaks": {},
"logging": null,
"pipeline_template_configmap": null
},
"program_code": "CREATE TABLE table1 ( col1 INT );",
"udf_rust": "",
"udf_toml": "",
"program_config": {
"profile": "optimized",
"cache": true,
"runtime_version": null
},
"program_version": 2,
"program_status": "Pending",
"program_status_since": "1970-01-01T00:00:00Z",
"program_error": {
"sql_compilation": null,
"rust_compilation": null,
"system_error": null
},
"program_info": null,
"deployment_error": null,
"refresh_version": 4,
"storage_status": "Cleared",
"storage_status_details": null,
"deployment_id": null,
"deployment_initial": null,
"deployment_status": "Stopped",
"deployment_status_since": "1970-01-01T00:00:00Z",
"deployment_desired_status": "Stopped",
"deployment_desired_status_since": "1970-01-01T00:00:00Z",
"deployment_resources_status": "Stopped",
"deployment_resources_status_details": null,
"deployment_resources_status_since": "1970-01-01T00:00:00Z",
"deployment_resources_desired_status": "Stopped",
"deployment_resources_desired_status_since": "1970-01-01T00:00:00Z",
"deployment_runtime_status": null,
"deployment_runtime_status_details": null,
"deployment_runtime_status_since": null,
"deployment_runtime_desired_status": null,
"deployment_runtime_desired_status_since": null
},
{
"id": "67e55044-10b1-426f-9247-bb680e5fe0c9",
"name": "example2",
"description": "Description of the pipeline example2",
"created_at": "1970-01-01T00:00:00Z",
"version": 1,
"platform_version": "v0",
"runtime_config": {
"workers": 10,
"max_rss_mb": null,
"hosts": 1,
"storage": {
"backend": {
"name": "default"
},
"min_storage_bytes": null,
"min_step_storage_bytes": null,
"compression": "default",
"cache_mib": null
},
"fault_tolerance": {
"model": "none",
"checkpoint_interval_secs": 60
},
"cpu_profiler": false,
"tracing": false,
"tracing_endpoint_jaeger": "",
"min_batch_size_records": 100000,
"max_buffering_delay_usecs": 0,
"resources": {
"cpu_cores_min": null,
"cpu_cores_max": null,
"memory_mb_min": 1000,
"memory_mb_max": null,
"storage_mb_max": 10000,
"storage_class": null,
"service_account_name": null,
"namespace": null
},
"clock_resolution_usecs": 100000,
"pin_cpus": [],
"provisioning_timeout_secs": 1200,
"max_parallel_connector_init": 10,
"init_containers": null,
"checkpoint_during_suspend": false,
"http_workers": null,
"io_workers": null,
"env": {},
"dev_tweaks": {},
"logging": null,
"pipeline_template_configmap": null
},
"program_code": "CREATE TABLE table2 ( col2 VARCHAR );",
"udf_rust": "",
"udf_toml": "",
"program_config": {
"profile": "unoptimized",
"cache": true,
"runtime_version": null
},
"program_version": 1,
"program_status": "Pending",
"program_status_since": "1970-01-01T00:00:00Z",
"program_error": {
"sql_compilation": null,
"rust_compilation": null,
"system_error": null
},
"program_info": null,
"deployment_error": null,
"refresh_version": 1,
"storage_status": "Cleared",
"storage_status_details": null,
"deployment_id": null,
"deployment_initial": null,
"deployment_status": "Stopped",
"deployment_status_since": "1970-01-01T00:00:00Z",
"deployment_desired_status": "Stopped",
"deployment_desired_status_since": "1970-01-01T00:00:00Z",
"deployment_resources_status": "Stopped",
"deployment_resources_status_details": null,
"deployment_resources_status_since": "1970-01-01T00:00:00Z",
"deployment_resources_desired_status": "Stopped",
"deployment_resources_desired_status_since": "1970-01-01T00:00:00Z",
"deployment_runtime_status": null,
"deployment_runtime_status_details": null,
"deployment_runtime_status_since": null,
"deployment_runtime_desired_status": null,
"deployment_runtime_desired_status_since": null
}
]